Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036828
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-09-11 17:262018-01-03 12:38
ReporterJONHMView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision9f110baef446
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036828: Scroll bar of 'Goods Movement' selector disappears in newest MacOS environments.

DescriptionScroll bar of 'Goods Movement' selector disappears in newest MacOS environments.

Tested with
 -Chrome: 59.0.3071.115 (Muntatge oficial) (64 bits)
 -OS: MacOS 10.12.2 (16C67)
Steps To Reproduce1) Open 'Warehouse and Storage Bins' window and create 30 more 'Storage Bin' lines for "F&B España - Región Norte" organization.

2) Open 'Goods Movements' window and create a new record for "F&B España - Región Norte" organization.

3) Create a new line and open the 'Storage Bin' column's selector.

-> The scroll bar is missing. Attached is a screenshot
TagsNo tags attached.
Attached Filespng file icon goodsMovementsMac.png [^] (589,343 bytes) 2017-09-11 17:26
png file icon goodsMovementsLinux.png [^] (207,508 bytes) 2017-09-11 17:27

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024189 acknowledgedplatform Old product selector does not work fine in MAC OS 
causes defect 0037523 closedcollazoandy4 Product selector filters by Non-Stocked products in Goods Movement window 

-  Notes
(0099169)
alostale (developer)
2017-09-20 10:31

Old 2.50 Bin selector should be reimplemented with 3.0 selector.
(0100375)
dmiguelez (developer)
2017-11-09 11:06

Test Plan:

Login as F&B Admin
Move to Goods Movement Window.
Create a new record
Move to Lines tab
Create a new record and check selectors for Storage Bin and New Storage Bin

Both of them should have a drop down list and a magnifying glass.
By clicking on the magnifying glass, a pop up is opened with a grid similar to any Openbravo Window.

The that are available for the selection are the Bins that belongs to Warehouses accessible by the Organization set in the Document's header
(0100380)
hgbot (developer)
2017-11-09 12:27

Repository: erp/devel/pi
Changeset: 9f110baef4461d80ca48f92485ce3e4fd3a42ac0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Nov 07 19:21:02 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9f110baef4461d80ca48f92485ce3e4fd3a42ac0 [^]

Fixes Issue 36828. Changes Locator selector in Goods Movement Window
to a new OBUISEL_Selector using On Hand Locator Selector

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_WINDOW.xml
---
(0100397)
vmromanos (developer)
2017-11-09 19:58

Code Review + testing OK
(0101391)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-11 17:26 JONHM New Issue
2017-09-11 17:26 JONHM Assigned To => platform
2017-09-11 17:26 JONHM File Added: goodsMovementsMac.png
2017-09-11 17:26 JONHM Modules => Core
2017-09-11 17:26 JONHM Triggers an Emergency Pack => No
2017-09-11 17:27 JONHM File Added: goodsMovementsLinux.png
2017-09-12 09:25 Practics Issue Monitored: Practics
2017-09-12 09:35 alostale Relationship added related to 0024189
2017-09-20 10:31 alostale Note Added: 0099169
2017-09-20 10:31 alostale Assigned To platform => Triage Finance
2017-09-20 10:31 alostale Type defect => design defect
2017-11-09 11:01 dmiguelez Assigned To Triage Finance => dmiguelez
2017-11-09 11:01 dmiguelez Status new => acknowledged
2017-11-09 11:02 dmiguelez Status acknowledged => scheduled
2017-11-09 11:06 dmiguelez Note Added: 0100375
2017-11-09 12:27 hgbot Checkin
2017-11-09 12:27 hgbot Note Added: 0100380
2017-11-09 12:27 hgbot Status scheduled => resolved
2017-11-09 12:27 hgbot Resolution open => fixed
2017-11-09 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9f110baef4461d80ca48f92485ce3e4fd3a42ac0 [^]
2017-11-09 14:01 vmromanos Review Assigned To => vmromanos
2017-11-09 14:01 vmromanos Type design defect => defect
2017-11-09 19:58 vmromanos Note Added: 0100397
2017-11-09 19:58 vmromanos Status resolved => closed
2017-11-09 19:58 vmromanos Fixed in Version => 3.0PR18Q1
2017-12-20 14:31 vmromanos Relationship added causes 0037523
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101391


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker